Retrieve a credential
curl --request GET \
--url https://api.syntage.com/credentials/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/credentials/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/Credential",
"@id": "/credentials/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Credential",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "ciec",
"rfc": "PEIC211118IS0",
"status": "pending",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Credentials
Retrieve a credential
Retrieve a SAT credential by ID, including its credential type, RFC, and validation status.
GET
/
credentials
/
{id}
Retrieve a credential
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Credential resource response
SAT Credential IRI reference
Example:
"/credentials/91106968-1abd-4d64-85c1-4e73d96fb997"
Credential ID
Example:
"91106968-1abd-4d64-85c1-4e73d96fb997"
Available options:
ciec, efirma Example:
"ciec"
RFC (Registro Federal de Contribuyentes)
Required string length:
12 - 13Example:
"PEIC211118IS0"
Credential validation status:
| Value | Description |
|---|---|
waiting | Credential validation is temporarily disabled, usually because of an ongoing incident. The credential will be validated later. |
pending | Credential validation has been requested and is waiting to be processed. |
valid | The credential was accepted by SAT and can be used for extractions. |
invalid | SAT rejected the credential during validation. |
disabled | SAT reported the credential as disabled or otherwise unrecoverable during validation. |
deactivated | Deprecated. Legacy status retained for existing records. The disabled status is used for credentials that can no longer be used. |
error | Credential validation failed because of an unexpected error. |
Available options:
waiting, pending, valid, invalid, disabled, deactivated, error Example:
"pending"
Date and time the resource was created
Example:
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
Example:
"2020-01-01T12:15:00.000Z"
Was this page helpful?